Jump to content

Could not load file or assembly


FpffUVROGDdATCp
 Share

Recommended Posts

Hi. Do somebody know how to fix it ? deb gnome-sharp package installed.  May be path ?

 

021-11-25 22:20:20,225 ktoto ERROR ExceptionHandler - [HandleUnhandledGLibException] Unexpected error: Could not load file or assembly 'gnome-sharp, Version=2.24.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
2021-11-25 22:20:20,226 ktoto DEBUG ExceptionHandler - Stack trace:   at bo.h (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at bo.e (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at x0.a (r6 A_0) [0x0005b] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at x0.a (Gtk.TreeViewColumn A_0, Gtk.CellRenderer A_1, Gtk.TreeModel A_2, Gtk.TreeIter A_3) [0x0001e] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at GtkSharp.TreeCellDataFuncWrapper.NativeCallback (System.IntPtr tree_column, System.IntPtr cell, System.IntPtr tree_model, System.IntPtr iter, System.IntPtr data) [0x0002a] in <e2cf54bd50544b3dbf94649395d8c893>:0  
2021-11-25 22:20:20,229 ktoto ERROR Program - The runtime is terminating [False]
2021-11-25 22:20:20,229 ktoto ERROR ExceptionHandler - [HandleUnhandledGLibException] Unexpected error: Could not load file or assembly 'gnome-sharp, Version=2.24.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
2021-11-25 22:20:20,229 ktoto DEBUG ExceptionHandler - Stack trace:   at bo.h (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at bo.e (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at x0.a (r6 A_0) [0x0005b] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at x0.a (Gtk.TreeViewColumn A_0, Gtk.CellRenderer A_1, Gtk.TreeModel A_2, Gtk.TreeIter A_3) [0x0001e] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at GtkSharp.TreeCellDataFuncWrapper.NativeCallback (System.IntPtr tree_column, System.IntPtr cell, System.IntPtr tree_model, System.IntPtr iter, System.IntPtr data) [0x0002a] in <e2cf54bd50544b3dbf94649395d8c893>:0  
2021-11-25 22:20:20,233 ktoto ERROR Program - The runtime is terminating [False]
2021-11-25 22:20:20,234 ktoto ERROR ExceptionHandler - [HandleUnhandledGLibException] Unexpected error: Could not load file or assembly 'gnome-sharp, Version=2.24.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
2021-11-25 22:20:20,234 ktoto DEBUG ExceptionHandler - Stack trace:   at bo.h (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at bo.e (System.String A_0) [0x00001] in <31025fbe9fb2453bbf6f15526048313b>:0  
 at x0.a (r6 A_0) [0x0005b] in <31025fbe9fb2453bbf6f15526048313b>:0 


 

ksnip_20211125-221959.png

Link to comment
Share on other sites

Hi,

I'm afraid Arch Linux is not supported.
You can find the binaries for the server here "https://www.plasticscm.com/download/10.0.16.6038/linux" but not for the client, as you can only accept the EULAs with the installers or packages.
Furthermore, if you were to use the client ones, I cannot guarantee that the GUI is going to work fine.

I'm sorry for the inconvenience.
 

Best,

Héber.

Link to comment
Share on other sites

Hi, I understand your point that you not support. I installed same on deb 11 and have exactly same error. Can you point me what exact library it want to use ? Because current error in logs not very descriptive.  May be path to library is wrong because gnome-sharp persist as i see but your assembly do not want or cannot  use it due to unknown reason. So my target to find out reason. 

 

In directory with plastic client i found executable file "linplasticx" . And this one working without any problem . I found one page where written that this is alfa. but at least it boots normally . So my question is it possible to use it in production for at least simple operations ?

Link to comment
Share on other sites

Hi,

For the recent Ubuntu version where the libgnome2 library was deprecated, we recommended users grab the packages from the Ubuntu18 - Bionicle repos. That one should be the one you need to install.

Regarding PlasticX, it is in Alfa, so if you want to use it, that's perfectly fine. Most of the team uses it, but we end up lacking some functionalities. It should give no particular errors, but keep in mind that it is not even a Beta yet, expect missing features and bugs. Aside from that, I can't tell you whether to use it or not.

Best,

Héber.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...